package com.caimei365.user.controller;

import com.caimei365.user.idempotent.IpSave;
import com.caimei365.user.model.ResponseJson;
import com.caimei365.user.model.dto.BehaviorRecordDto;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/11/1
 */
@Slf4j
@RestController
@RequestMapping("/user/record")
public class CmBehaviorRecordApi {


    /**
     * PC端用户行为记录
     * @param behaviorRecordDto
     * @return
     */
    @IpSave(saveName="用户行为记录PC",saveParams = true)
    @PostMapping("/StatisticsPc")
    public ResponseJson<String> behaviorRecordPc(@RequestBody BehaviorRecordDto behaviorRecordDto){
        log.info("用户行为记录=========》"+behaviorRecordDto);
        return ResponseJson.success("用户行为PC端记录完成");
    }

    /**
     * 小程序端用户行为记录
     * @param userId
     * @param pagePath
     * @param pageType
     * @param pageLabel
     * @param productId
     * @param accessDuration
     * @return
     */
    @IpSave(saveName="用户行为记录App",saveParams = true)
    @GetMapping("/StatisticsApp")
    public ResponseJson<String> behaviorRecordApp(Integer userId,String pagePath,String pageType,String pageLabel,String behaviorType,Integer productId,String accessDuration){
        log.info("用户行为记录=========》"+userId+"===="+pagePath+"===="+pageType+"===="+pageLabel+"===="+behaviorType+"===="+productId+"===="+accessDuration);
        return ResponseJson.success("用户行为App端记录完成");
    }

}
